#Setting 1
erzeuger.uc1.real <- function(n,m,frei0,frei1,p=0.025, kov=0.4,cut=500){
            #Einstellung fuer GARCH
            a= rep(0.05,m)
            w= rep(0.05,m)
            A <- diag(0.1,m)
            B <- diag(0.85,m)
            R <- matrix(kov, ncol=m, nrow=m); diag(R) <- 1
            H <- 0
            while(sum(H)==0){

            T2 <- rbind(rmvt(TIME+cut+1, sigma=R, df=frei0),rmvt(n, sigma=R, df=frei1))

            #Initialisierung
            sigma <- matrix(sqrt(w+ B%*%rep(1,m)), byrow=T,nrow=(TIME+n+cut+1), ncol=m )
            v <- matrix(sigma*T2[1,], byrow=T,nrow=TIME+n+cut+1, ncol=m)
            Y <- matrix(0,nrow=TIME+n+cut+1, ncol=m)
            #Rest
            for(i in 2:(TIME+n+cut+1)){
              sigma[i,] <- sqrt(w+A%*%v[i-1,]^2+B%*%sigma[i-1,]^2)
              v[i,] <- sigma[i,]*T2[i,]
              Y[i,] <- a*Y[i-1,]+v[i,]
            }
            #Einschwingphase rausschneiden
            Y <- Y[-c(1:(cut+1)),]
            H <- fitmGARCH(Y,TIME)
            }
            return(H)
}


# Setting 2
erzeuger.a2 <- function(n,m,a=2.5,p=0.025, kov=0.4,cut=500){
            frei1 <- frei0 <- Inf
            #Einstellung fuer GARCH
            w= 0.01
            A <- 0.29
            B <- 0.7
            R <- matrix(kov, ncol=m, nrow=m); diag(R) <- 1
            H <- 0
            while(sum(H)==0){

            T2 <- rbind(rmvt(TIME+cut+1, sigma=R, df=frei0),rmvt(n, sigma=R, df=frei1))
            #Initialisierung
            sigma <- matrix(sqrt(w+ B%*%rep(1,m)), byrow=T,nrow=(TIME+n+cut+1), ncol=m )
            v <- matrix(sigma*T2[1,], byrow=T,nrow=TIME+n+cut+1, ncol=m)
            Y <- matrix(0,nrow=TIME+n+cut+1, ncol=m)
            #Rest
            for(i in 2:(TIME+n+cut+1)){
              sigma[i,] <- sqrt(w+A%*%v[i-1,]^2+B%*%sigma[i-1,]^2)
              v[i,] <- sigma[i,]*T2[i,]
              Y[i,] <-a*sigma[i,]^2+v[i,]
            }
            #Cut the start
            Y <- -Y[-c(1:(cut+1)),]
            H <- fitmGARCH(Y,TIME)
            }
            return(H)
}